//
//  RWTRefreshingTableViewController.m
//  PullToRefresh
//
//  Created by Main Account on 5/2/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "RWTRefreshingTableViewController.h"
#import "RWTRefreshView.h"

static CGFloat kTestViewHeight = 200.f;

@interface RWTRefreshingTableViewController ()
@property (nonatomic, strong) RWTRefreshView *refreshView;
@end

@implementation RWTRefreshingTableViewController

- (void)viewDidLoad {

  self.refreshView = [[RWTRefreshView alloc] initWithFrame:CGRectMake(0, -kTestViewHeight, CGRectGetWidth(self.view.bounds), kTestViewHeight) scrollView:(UIScrollView *)self.view];
  self.refreshView.translatesAutoresizingMaskIntoConstraints = NO;
  [self.view insertSubview:self.refreshView atIndex:0];

}

- (void)scrollViewDidScroll:(UIScrollView *)scrollView {
  [self.refreshView scrollViewDidScroll:scrollView];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
  return 20;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
  UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"MyCell" forIndexPath:indexPath];
  
  // Configure the cell...
  cell.textLabel.text = [NSString stringWithFormat:@"Row %d", indexPath.row];
  
  return cell;
}

@end
